petsc-3.10.5 2019-03-28
Report Typos and Errors

# MATSOLVERSUPERLU_DIST

Parallel direct solver package for LU factorization Use ./configure --download-superlu_dist --download-parmetis --download-metis --download-ptscotch to have PETSc installed with SuperLU_DIST

Use -pc_type lu -pc_factor_mat_solver_type superlu_dist to use this direct solver

Works with AIJ matrices

### Options Database Keys

| -mat_superlu_dist_r <n> | - number of rows in processor partition
| -mat_superlu_dist_c <n> | - number of columns in processor partition
| -mat_superlu_dist_matinput <0,1> | - matrix input mode; 0=global, 1=distributed
| -mat_superlu_dist_equil | - equilibrate the matrix
| -mat_superlu_dist_rowperm <NOROWPERM,LargeDiag_MC64,LargeDiag_AWPM,MY_PERMR> | - row permutation
| -mat_superlu_dist_colperm <MMD_AT_PLUS_A,MMD_ATA,NATURAL> | - column permutation
| -mat_superlu_dist_replacetinypivot | - replace tiny pivots
| -mat_superlu_dist_fact <SamePattern> | - (choose one of) SamePattern SamePattern_SameRowPerm DOFACT
| -mat_superlu_dist_iterrefine | - use iterative refinement
| -mat_superlu_dist_statprint | - print factorization information

### See Also

PCLU

### See Also

PCFactorSetMatSolverType(), MatSolverType

### Level

beginner

### Location

src/mat/impls/aij/mpi/superlu_dist/superlu_dist.c

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages